Summary:        A Gtk based drop down terminal for Linux and Unix
Name:           tilda
Version:        2.0.0
Release:        %mkrel 1
License:        GPLv2+
Group:          Terminals
URL:            https://github.com/lanoxx/tilda
Source0:        https://github.com/lanoxx/tilda/archive/%{name}-%{version}.tar.gz

BuildRequires:  gettext
BuildRequires:  pkgconfig(glib-2.0)
BuildRequires:  pkgconfig(gtk+-3.0)
BuildRequires:  pkgconfig(libconfuse)
BuildRequires:  pkgconfig(vte-2.91)
BuildRequires:  pkgconfig(x11)
BuildRequires:  pkgconfig(xrandr)
BuildRequires:  pkgconfig(xt)

%description
Tilda is a Linux terminal taking after the likeness of many classic terminals
from first person shooter games, Quake, Doom and Half-Life (to name a few),
where the terminal has no border and is hidden from the desktop until a key is
pressed.

%prep
%autosetup -p1 -n %{name}-%{name}-%{version}

%build
autoreconf -fi
%configure
%make_build

%install
%make_install

install -D -m 644 %{name}.png \
        %{buildroot}%{_iconsdir}/hicolor/48x48/apps/%{name}.png

%find_lang %{name}

%files -f %{name}.lang
%doc AUTHORS README.md ChangeLog TODO.md
%license COPYING
%{_bindir}/%{name}
%{_datadir}/pixmaps/%{name}.png
%{_iconsdir}/hicolor/48x48/apps/%{name}.png
%{_datadir}/applications/%{name}*.desktop
%{_metainfodir}/%{name}.appdata.xml
%{_mandir}/man1/%{name}.1*


%changelog
* Thu Jun 27 2024 daviddavid <daviddavid> 2.0.0-1.mga10
+ Revision: 2077390
- new version: 2.0.0

* Wed Mar 30 2022 umeabot <umeabot> 1.5.4-2.mga9
+ Revision: 1835440
- Mageia 9 Mass Rebuild

* Wed Dec 30 2020 akien <akien> 1.5.4-1.mga8
+ Revision: 1665744
- Version 1.5.4

* Wed Nov 04 2020 akien <akien> 1.5.2-1.mga8
+ Revision: 1642511
- Version 1.5.2

* Tue Nov 03 2020 akien <akien> 1.5.0-1.mga8
+ Revision: 1642287
- Version 1.5.0

* Fri Feb 14 2020 umeabot <umeabot> 1.4.1-3.mga8
+ Revision: 1517425
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Sep 23 2018 umeabot <umeabot> 1.4.1-2.mga7
+ Revision: 1301412
- Mageia 7 Mass Rebuild

* Mon May 14 2018 akien <akien> 1.4.1-1.mga7
+ Revision: 1229513
- Version 1.4.1

* Thu Dec 28 2017 wally <wally> 1.3.3-2.mga7
+ Revision: 1186599
- rebuild for new libconfuse

* Fri Jun 03 2016 akien <akien> 1.3.3-1.mga6
+ Revision: 1020201
- import tilda, packaged by admel based on a Fedora SRPM


* Thu Jun 02 2016 Antoine Dumondel <admel.mga@gmail.com> - 1.3.1-1.mga6
- Adjust Fedora spec for Mageia 6

* Sat Apr 30 2016 Johannes Lips <hannes@fedoraproject.org> - 1.3.3-1
- update to upstream version 1.3.3

* Mon Mar 14 2016 Johannes Lips <hannes@fedoraproject.org> - 1.3.2-1
- update to upstream version 1.3.2

* Fri Feb 05 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.2.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Sat Aug 22 2015 Johannes Lips <hannes@fedoraproject.org> - 1.2.4-1
- update to upstream version 1.2.4

* Fri Jun 19 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Mon Nov 17 2014 Johannes Lips <hannes@fedoraproject.org> - 1.2.2-1
- update to upstream version 1.2.2
- fixed bug #1164476

* Thu Oct 16 2014 Johannes Lips <hannes@fedoraproject.org> - 1.2.1-1
- update to upstream version 1.2.1

* Thu Oct 16 2014 Johannes Lips <hannes@fedoraproject.org> - 1.2-1
- update to upstream version 1.2

* Sun Sep 14 2014 Johannes Lips <hannes@fedoraproject.org> - 1.1.13-1
- Initial Release
